use rinja::Template;
use chrono::NaiveDate;

use crate::filters;
use crate::models::{Role, User};

pub mod delete;
pub mod get_new;
pub mod get_overview;
pub mod get_update;
pub mod post_new;
pub mod post_update;

#[derive(Template)]
#[template(path = "availability/new_or_edit.html")]
struct NewOrEditAvailabilityTemplate<'a> {
    user: User,
    date: NaiveDate,
    whole_day: bool,
    id: Option<i32>,
    start_time: Option<&'a str>,
    end_time: Option<&'a str>,
    comment: Option<&'a str>,
}
